Self-serve contractor payments

Self Serve Complete Contractor Onboarding

Marks the contractor's onboarding COMPLETED, sets country/name, ensures an HRISContractor row, then provisions Rain asynchronously.

POSThttps://api.toku.com/hris/self-serve-complete-contractor-onboarding

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/self-serve-complete-contractor-onboarding' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "acknowledgedAt": 0,
  "givenName": "string",
  "familyName": "string",
  "countryCode": "string"
}'
200 response
{
  "status": "string",
  "completedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

acknowledgedAtnumber
givenNamestring

Allowed: 1 to 120 characters

familyNamestring

Allowed: 1 to 120 characters

countryCodestring

Allowed: 2 to 2 characters

Response

200Successful response
statusstringrequired
completedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits